

class DiseaseAvailableListRestApi:
    """Class to instance objects of DiseaseAvailableList for the Metadata objects"""

    def __init__(self, albumId: (str, int), source: str, version: str, numberDiseases: (int, str),
                 useDiseaseSafeList: bool):
        self.__albumId = str(albumId)
        self.__source = str(source)
        self.__version = str(version)
        self.__numberDiseases = int(numberDiseases)
        self.__useDiseaseSafeList = useDiseaseSafeList

    def getAlbumId(self) -> str:
        """Returns the id of the album"""
        return self.__albumId

    def getSource(self) -> str:
        """Returns the source"""
        return self.__source

    def getVersion(self) -> str:
        """Returns the version"""
        return self.__version

    def getNumberDiseases(self) -> int:
        """Returns the number of diseases"""
        return self.__numberDiseases

    def getUseDiseaseSafeList(self) -> bool:
        """Returns if the safe list should be used"""
        return self.__useDiseaseSafeList

    def __str__(self) -> str:
        return "DiseaseAvailableListRestApi: [albumId: " + self.__albumId + ", source: " + self.__source + \
               ", version: " + self.__version + ", numberDiseases: " + str(self.__numberDiseases) + \
               ", useDiseaseSafeList: " + str(self.__useDiseaseSafeList) + "]"

    def __repr__(self)->str:
        """overrides the method for custom representation"""
        return str(self)