import DISNET.metadata.TvpRestApi as TvpRestApi
import DISNET.metadata.DiseaseAvailableListRestApi as DiseaseAvailableListRestApi
import DISNET.metadata.MetamapRestApi as MetamapRestApi


class MetadataObject:
    """Class to instance Metadata type objects"""

    def __init__(self,
                 tvpRestApi: TvpRestApi.TvpRestApi,
                 diseaseAvailableListRestApi: DiseaseAvailableListRestApi.DiseaseAvailableListRestApi,
                 metamapRestApi: MetamapRestApi.MetamapRestApi):
        self.__tvpRestApi = tvpRestApi
        self.__diseaseAvailableListRestApi = diseaseAvailableListRestApi
        self.__metamapRestApi = metamapRestApi

    def getTvpRestApi(self) -> TvpRestApi.TvpRestApi:
        """Returns the Tvp of the Metadata"""
        return self.__tvpRestApi

    def getDiseaseAvailableListRestApi(self) -> DiseaseAvailableListRestApi.DiseaseAvailableListRestApi:
        """Returns the lis of available diseases of the metadata"""
        return self.__diseaseAvailableListRestApi

    def getMetamapRestApi(self) -> MetamapRestApi.MetamapRestApi:
        """Returns the Metamap of the Metadata"""
        return self.__metamapRestApi

    def __str__(self):
        """Returns the string representation of the Metadata"""
        return str(self.__tvpRestApi) + " " + str(self.__diseaseAvailableListRestApi) + " " + str(self.__metamapRestApi)

    def __repr__(self)->str:
        """overrides the method for custom representation"""
        return str(self)