
class MetamapRestApi:
    """Class to instance objects of type Metamap"""
    def __init__(self, sources :list[str], options :str, conceptLocation :bool, semanticTypes :list[str]):
        self.__sources = sources
        self.__options = options
        self.__conceptLocation = conceptLocation
        self.__semanticTypes = semanticTypes

    def getOptions(self)->str:
        """Returns the options of the Metamap"""
        return self.__options

    def getConceptLocation(self)->bool:
        """Returns if the concept location is enabled"""
        return self.__conceptLocation

    def getSources(self)->list[str]:
        """Returns the sources of the Metamap"""
        return self.__sources

    def getSemanticTypes(self )->list[str]:
        """Returns the semantic types of the Metamap"""
        return self.__semanticTypes

    def __str__(self):
        """Returns the string representation of the Metamap"""
        return "MetamapRestApi: [sources: " + str(self.__sources) +\
        ", options: " + str(self.__options) + ", concept_location: " + str(self.__conceptLocation) +\
        ", semanticTypes: " + str(self.__semanticTypes) + "]"

    def __repr__(self)->str:
        """overrides the method for custom representation"""
        return str(self)
